FavoritesView.DefaultFavoritesFactory

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class FavoritesView.DefaultFavoritesFactory

    java.lang.Object
      |
      +--javax.help.FavoritesView.DefaultFavoritesFactory

All Implemented Interfaces:
  TreeItemFactory

Enclosing class:
  FavoritesView

public static class FavoritesView.DefaultFavoritesFactory
extends java.lang.Object
implements TreeItemFactory

A default TreeItemFactory that can be used to parse Favorites items as used by this navigator.

Constructor Summary
`FavoritesView.DefaultFavoritesFactory()`

Method Summary
`TreeItem` | `createItem()` Creates a default FavoritesItem.
`TreeItem` | `createItem(java.lang.String tagName, java.util.Hashtable atts, HelpSet hs, java.util.Locale locale)` Creates an FavoritesItem with the given data.
`java.util.Enumeration` | `listMessages()` Lists all the error messages.
`javax.swing.tree.DefaultMutableTreeNode` | `parsingEnded(javax.swing.tree.DefaultMutableTreeNode node)` Parsing has ended.
`void` | `parsingStarted(java.net.URL source)` Parsing has started
`void` | `processDOCTYPE(java.lang.String root, java.lang.String publicID, java.lang.String systemID)` Process a DOCTYPE
`void` | `processPI(HelpSet hs, java.lang.String target, java.lang.String data)` We have found a PI; ignore it
`void` | `reportMessage(java.lang.String msg, boolean validParse)` Reports an error message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FavoritesView.DefaultFavoritesFactory

    public FavoritesView.DefaultFavoritesFactory()

Method Detail

### parsingStarted

    public void parsingStarted(java.net.URL source)

  Parsing has started

  Specified by:
    `parsingStarted` in interface `TreeItemFactory`
  Parameters:
    `source` - The URL of the document being parsed.

### processDOCTYPE

    public void processDOCTYPE(java.lang.String root,
                               java.lang.String publicID,
                               java.lang.String systemID)

  Process a DOCTYPE

  Specified by:
    `processDOCTYPE` in interface `TreeItemFactory`
  Parameters:
    `root` - The root tag of the document.
    `publicID` - PublicID from the DOCTYPE.
    `systemID` - SystemID from the DOCTYPE.

### processPI

    public void processPI(HelpSet hs,
                          java.lang.String target,
                          java.lang.String data)

  We have found a PI; ignore it

  Specified by:
    `processPI` in interface `TreeItemFactory`
  Parameters:
    `target` - The target of the PI.
    `data` - A String for the data in the PI.

### createItem

    public TreeItem createItem(java.lang.String tagName,
                               java.util.Hashtable atts,
                               HelpSet hs,
                               java.util.Locale locale)

  Creates an FavoritesItem with the given data.

  Specified by:
    `createItem` in interface `TreeItemFactory`
  Parameters:
    `tagName` - The favorites type to create. Valid types are "favoriteitem". Null or invalid types throw an IllegalArgumentException.
    `atts` - Attributes of the Item. Valid attributes are "target" and "text". A null `atts` is valid and means no attributes.
    `hs` - The HelpSet this item was created under.
    `locale` - Locale of this item. A null locale is valid.
  Returns:
    A TreeItem.
  Throws:
    `java.lang.IllegalArgumentException` - if tagname is null or invalid.

### createItem

    public TreeItem createItem()

  Creates a default FavoritesItem.

  Specified by:
    `createItem` in interface `TreeItemFactory`
  Returns:
    A TreeItem

### reportMessage

    public void reportMessage(java.lang.String msg,
                              boolean validParse)

  Reports an error message.

  Specified by:
    `reportMessage` in interface `TreeItemFactory`
  Parameters:
    `msg` - The message to report.
    `validParse` - Whether the result of the parse is still valid.

### listMessages

    public java.util.Enumeration listMessages()

  Lists all the error messages.

  Specified by:
    `listMessages` in interface `TreeItemFactory`

### parsingEnded

    public javax.swing.tree.DefaultMutableTreeNode parsingEnded(javax.swing.tree.DefaultMutableTreeNode node)

  Parsing has ended. The last chance to do something to the node

  Specified by:
    `parsingEnded` in interface `TreeItemFactory`
  Parameters:
    `node` - The DefaultMutableTreeNode that has been built during the the parsing. If `node` is null or there were parsing errors a null is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD